Subject: Re: Summer of Code project ideas due this Friday

From: Alexander Miseler <[email-masked]>
Date: Sat, 12 Mar 2011 20:47:07 +0100

>>> Even worse yet, commits consisting of smaller files but with a
>>> combined size over the limit will also cause out-of-memories.
>>
>> That generally should work OK. The diff and packing code tries to keep
>> memory usage reasonable, which generally equates to two times the
>> largest file. If you have a test case that shows problems, there may
>> very well be a bug.
> 
> I will look into it.

I failed to create an artificial test case for this (thus probably misunderstanding the exact circumstances leading to this). I will investigate it when I get a real life test case again.